.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1em 2em;
    position: sticky;
    top: 0;
    background: var(--ms-color-dark);
    background-color: #1b2022;
    font-size: 2rem;
    height: 3.2em;

  
    .header__left,
    .header__right,
    .header__middle {
      flex: 1 1 auto;
      width: calc(100% / 3);
    }
  
    .header__link,
    .header__logo {
      display: block;
      height: 5rem;
    }
  
    .header__right {
      display: flex;
      align-items: center;
      justify-content: flex-end;
    }
  }
